Package org.apache.ignite.internal.processors.cache.persistence.snapshot

## Class AbstractSnapshotVerificationTask.AbstractSnapshotVerificationJob

- java.lang.Object
- - org.apache.ignite.compute.ComputeJobAdapter
  - - org.apache.ignite.internal.processors.cache.persistence.snapshot.AbstractSnapshotVerificationTask.AbstractSnapshotVerificationJob

All Implemented Interfaces:
  `Serializable`, `Callable<Object>`, `ComputeJob`

Enclosing class:
  AbstractSnapshotVerificationTask

    protected abstract static class AbstractSnapshotVerificationTask.AbstractSnapshotVerificationJob
    extends ComputeJobAdapter

See Also:
  Serialized Form

### Field Summary

Fields
`protected boolean` `check` If `true`, calculates and compares partition hashes.
`protected String` `consId` Consistent id of the related node.
`protected IgniteEx` `ignite` Ignite instance.
`protected IgniteLogger` `log` Injected logger.
`protected @Nullable Collection<String>` `rqGrps` Set of cache groups to be checked in the snapshot.
`protected String` `snpName` Snapshot name.
`protected @Nullable String` `snpPath` Snapshot directory path.

### Constructor Summary

Constructors
`protected` `AbstractSnapshotVerificationJob​(String snpName, @Nullable String snpPath, String consId, @Nullable Collection<String> rqGrps, boolean check)`

### Method Summary

### Methods inherited from class org.apache.ignite.compute.ComputeJobAdapter

`argument, arguments, call, cancel, isCancelled, setArguments`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.compute.ComputeJob

`execute`

### Field Detail

#### ignite

    @IgniteInstanceResource
    protected IgniteEx ignite

Ignite instance.

#### log

    @LoggerResource
    protected IgniteLogger log

Injected logger.

#### snpName

    protected final String snpName

Snapshot name.

#### snpPath

    @Nullable
    protected final @Nullable String snpPath

Snapshot directory path.

#### consId

    protected final String consId

Consistent id of the related node.

#### rqGrps

    @Nullable
    protected final @Nullable Collection<String> rqGrps

Set of cache groups to be checked in the snapshot. `Null` or empty to check everything.

#### check

    protected final boolean check

If `true`, calculates and compares partition hashes. Otherwise, only basic snapshot validation is launched.

### Constructor Detail

#### AbstractSnapshotVerificationJob

    protected AbstractSnapshotVerificationJob​(String snpName,
                                              @Nullable
                                              @Nullable String snpPath,
                                              String consId,
                                              @Nullable
                                              @Nullable Collection<String> rqGrps,
                                              boolean check)

Parameters:
  `snpName` - Snapshot name.
  `snpPath` - Snapshot directory path.
  `consId` - Consistent id of the related node.
  `rqGrps` - Set of cache groups to be checked in the snapshot. `Null` or empty to check everything.
  `check` - If `true`, calculates and compares partition hashes. Otherwise, only basic snapshot validation is launched.